<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Msptpd_parkir extends CI_Model
{

    public $table = 'sptpd_parkir';
    public $id = 'kode_supplier';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // datatables
    function json_supplier() {
        $this->datatables->select('kode_supplier,nama_supplier,email,hp,kecamatan,kabupaten,alamat');
        $this->datatables->from('sptpd_parkir');
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('Pembelian/sptpd_parkir/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"').anchor(site_url('pembelian/sptpd_parkir/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" id="delete" data-id="$1" href="javascript:void(0)"').'</div>', 'kode_supplier');
        return $this->datatables->generate();
    }
 
    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
  

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }


    function ListParent(){
        return $this->db->query("SELECT kode_menu,nama_menu FROM MENU WHERE PARENT_MENU=0 ORDER BY SORT_MENU ASC")->result();
    }

}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */